'use strict';

const serialize = body => Object.entries(body).reduce((acc, [key, value]) => Object.assign({}, acc, {
  [key]: value.toString()
}), {});

Cypress.Commands.add('setGQLMock', mocks => {
  const body = serialize(mocks);
  cy.request('POST', `${Cypress.env('GRAPHL_MOCK_SERVER')}/mock`, body);
});
Cypress.Commands.add('resetGQLMock', () => {
  cy.request('POST', `${Cypress.env('GRAPHL_MOCK_SERVER')}/reset`);
});
